
/**
 * Faucet object to facilitate water dispensing from a tank
 * 
 * @author John Paul Vergara
 * @version 08/03/2005
 */
public class Faucet
{
    private WaterTank tank;
    
    public Faucet()
    {
        tank = null;
    }
    
    public Faucet( WaterTank w )
    {
        tank = w;
    }
    
    public void connect( WaterTank w )
    {
        tank = w;
    }
    
    public void dispense( double amount )
    {
        tank.dispense( amount );
    }
    
    
    public void flush()
    {
        tank.dispense( tank.getWaterLeft() );
    }
}
